What's new

Some simple answers would be immensely appreciated

rsrh

New Member
Joined
Feb 25, 2012
Messages
4
Reaction score
0
My friend has moved on to another phone and gifted me her iPhone 4 version 5.0.1, firmware 04.11.08. However, I have T-mobile, and it is to my understanding that it is impossible to use T-mobile with this version. My questions are;


1) Are there ANY iPhones 4 that can be unlocked + used with T-mobile? (Buying an unlocked one from Apple is out of the question) Because if so, I would be willing to sell this one and simply buy another one with the requirements I need.


2) You guys would know better than me, but is there any word of anyone working on a fix for this problem? Possibly a way to unlock this firmware with T-mobile?


Any and all suggestions/answers will be much appreciated. Thanks a lot ahead of time, this is driving me crazy.
 

Thomasjtsi

Well-Known Member
Joined
Oct 25, 2011
Messages
7,523
Reaction score
451
Location
Missouri, USA
Whether or not an iPhone is Unlockable depends solely on its Baseband. In your case the iPhone is on 4.11.08... in which you are correct about there not being a way to Unlock that Baseband.

Your best option if you must use an iPhone on T-mobile is to sell this one on eBay, Quibids, etc. Then purchase an iPhone 4 w/ an unlockable Baseband. 1.59.00 can be Unlocked via Jailbreak & ultrasnOw from Cydia. 2.10.04, 3.10.01 & 4.10.01 can be Unlocked Gevey Ultra Sim.
 
Last edited:

chunky

New Member
Joined
Jun 22, 2011
Messages
523
Reaction score
16
Ask the original owner to contact tmobile and arrange to pay the small fee to unlock the handset !
 
OP
R

rsrh

New Member
Joined
Feb 25, 2012
Messages
4
Reaction score
0
Whether or not an iPhone is Unlockable depends solely on its Baseband. In your case the iPhone is on 4.11.08... in which you are correct about there not being a way to Unlock that Baseband.

Your best option if you must use an iPhone on T-mobile is to sell this one on eBay, Quibids, etc. Then purchase an iPhone 4 w/ an unlockable Baseband. 1.59.00 can be Unlocked via Jailbreak & ultrasnOw from Cydia. 2.10.04, 3.10.01 & 4.10.01 can be Unlocked Gevey Ultra Sim.

Thank you for the confirmation. So to be able to use it with T-Mobile I'd need to purchase an iPhone with either 1.59.00, 2.10.04, 3.10.01 or 4.10.01? Is that right?
 

Thomasjtsi

Well-Known Member
Joined
Oct 25, 2011
Messages
7,523
Reaction score
451
Location
Missouri, USA
rsrh said:
Thank you for the confirmation. So to be able to use it with T-Mobile I'd need to purchase an iPhone with either 1.59.00, 2.10.04, 3.10.01 or 4.10.01? Is that right?

If you're purchasing an iPhone 4, correct.
 

Most reactions

Latest posts

Top